Approvals
GET
/organizations/{organizationId}/approvals
List approval flows
Queryparameters
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Possible values: active, deleted
objectType
string
objectAction
string
Possible values: create, update, delete
tags
string
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.organizationId
string
results.workspaceId
string
results.ownerId
string
verplicht
results.name
string
verplicht
results.description
string
verplicht
results.objectType
string
verplicht
The identifier of the object
results.objectAction
string
verplicht
The action performed on the object
Possible values: create, update, delete
results.steps
array of object
verplicht
Onderliggende attributen tonen
results.steps.type
string
verplicht
Possible values: any, all
results.steps.users
array of string
verplicht
results.steps.reviewers
array of object
Onderliggende attributen tonen
results.steps.reviewers.type
string
verplicht
Possible values: user
results.steps.reviewers.id
string
verplicht
results.steps.message
string
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
results.tags
array of object
Onderliggende attributen tonen
results.tags.key
string
verplicht
results.tags.value
string
verplicht
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/approvals
Create approval flow
Verzoek-payload
name
string
verplicht
description
string
verplicht
objectType
string
verplicht
The identifier of the object
objectAction
string
verplicht
The action performed on the object
Possible values: create, update, delete
tags
array of object
Onderliggende parameters tonen
tags.key
string
verplicht
tags.value
string
verplicht
steps
array of object
verplicht
Onderliggende parameters tonen
steps.type
string
verplicht
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Onderliggende parameters tonen
steps.reviewers.type
string
verplicht
Possible values: user
steps.reviewers.id
string
verplicht
steps.message
string
Antwoord-payload
id
string
verplicht
organizationId
string
workspaceId
string
ownerId
string
verplicht
name
string
verplicht
description
string
verplicht
objectType
string
verplicht
The identifier of the object
objectAction
string
verplicht
The action performed on the object
Possible values: create, update, delete
steps
array of object
verplicht
Onderliggende attributen tonen
steps.type
string
verplicht
Possible values: any, all
steps.users
array of string
verplicht
steps.reviewers
array of object
Onderliggende attributen tonen
steps.reviewers.type
string
verplicht
Possible values: user
steps.reviewers.id
string
verplicht
steps.message
string
createdAt
string
verplicht
updatedAt
string
verplicht
tags
array of object
Onderliggende attributen tonen
tags.key
string
verplicht
tags.value
string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/organizations/{organizationId}/approvals' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/approvals/{approvalId}
Retrieve approval flow
Antwoord-payload
id
string
verplicht
organizationId
string
workspaceId
string
ownerId
string
verplicht
name
string
verplicht
description
string
verplicht
objectType
string
verplicht
The identifier of the object
objectAction
string
verplicht
The action performed on the object
Possible values: create, update, delete
steps
array of object
verplicht
Onderliggende attributen tonen
steps.type
string
verplicht
Possible values: any, all
steps.users
array of string
verplicht
steps.reviewers
array of object
Onderliggende attributen tonen
steps.reviewers.type
string
verplicht
Possible values: user
steps.reviewers.id
string
verplicht
steps.message
string
createdAt
string
verplicht
updatedAt
string
verplicht
tags
array of object
Onderliggende attributen tonen
tags.key
string
verplicht
tags.value
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/approvals/{approvalId}
Delete approval flow
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/approvals/{approvalId}
Update approval flow
Verzoek-payload
name
string
description
string
objectType
string
objectAction
string
Possible values: create, update, delete
steps
array of object
Onderliggende parameters tonen
steps.type
string
verplicht
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Onderliggende parameters tonen
steps.reviewers.type
string
verplicht
Possible values: user
steps.reviewers.id
string
verplicht
steps.message
string
Antwoord-payload
id
string
verplicht
organizationId
string
workspaceId
string
ownerId
string
verplicht
name
string
verplicht
description
string
verplicht
objectType
string
verplicht
The identifier of the object
objectAction
string
verplicht
The action performed on the object
Possible values: create, update, delete
steps
array of object
verplicht
Onderliggende attributen tonen
steps.type
string
verplicht
Possible values: any, all
steps.users
array of string
verplicht
steps.reviewers
array of object
Onderliggende attributen tonen
steps.reviewers.type
string
verplicht
Possible values: user
steps.reviewers.id
string
verplicht
steps.message
string
createdAt
string
verplicht
updatedAt
string
verplicht
tags
array of object
Onderliggende attributen tonen
tags.key
string
verplicht
tags.value
string
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'